/*
 * UPIWIN - Micro Pi Windowing Framework Kernel
 * Copyright (C) 2019 Amy Bowersox/Erbosoft Metaverse Design Solutions
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *-------------------------------------------------------------------------
 */
#ifndef __RESOURCES_H_INCLUDED
#define __RESOURCES_H_INCLUDED

#include "wintype.h"

typedef HANDLE HRESFILE;    /* handle to resource file */
typedef HANDLE HRSRC;       /* handle to resource */

typedef HRESFILE *PHRESFILE;
typedef HRSRC *PHRSRC;

extern HRESULT Rsrc_load_file(LPCSTR filename, PHRESFILE newhandle);
extern HRESULT Rsrc_close_file(HRESFILE handle);
extern HRESULT Rsrc_find_resource(HRESFILE hfile, LPCSTR name, LPCSTR type, PHRSRC presource);
extern HRESULT Rsrc_free_resource(HRSRC resource);
extern UINT Rsrc_sizeof_resource(HRSRC resource);
extern HRESULT Rsrc_read_resource_here(HRSRC resource, PVOID buffer, UINT size, PUINT actual_read);

extern HRESULT Rsrc_setup(void);

#endif /* __RESOURCES_H_INCLUDED */
